%% =================================
% Skript pro statistickou analýzu bright framů po jednom

%% Načtení raw
%clc,clear
ProjectionData=Data_loading; 
data=ProjectionData.Data;
data=data/2^16; %normalizace
% eliminace hot pixelů, které mají stálou polohu
data=remove_hot_pixels(data,7);

% eliminace impulsního šumu
data=filloutliers(data,'nearest','percentiles',[1.5 98.5]);

% extrakce šumu
[noise]=Noise_extraction(data);

%% Statistiky
P=mean(noise(:));
disp(['Střední hodnota nenormalizovaného šumu: ',num2str(P)])

V=var(noise(:));
disp(['Rozptyl nenormalizovaného šumu: ',num2str(V)])

K=kurtosis(noise(:));
disp(['Špičatost nenormalizovaného šumu: ',num2str(K)])

S=skewness(noise(:));
disp(['Šikmost nenormalizovaného šumu: ',num2str(S)])

%% Grafy 
%potvrzení normálního rozdělení pomocí grafů  
Plots(noise)
MSE=MSE_qqplot(noise);



